Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.security.management.action
Class UserAction

    java.lang.Object
      org.jboss.seam.security.management.action.UserAction

All Implemented Interfaces:
  Serializable

    @Name(value="org.jboss.seam.security.management.userAction")
    @Scope(value=CONVERSATION)
    @Install(precedence=0)
    public class UserAction

extends Object
implements Serializable

A conversation-scoped component for creating and managing user accounts

Author:
  Shane Bryzak
See Also:
  Serialized Form

Constructor Summary
`UserAction()`

Method Summary
`void` | `createUser()`
`void` | `editUser(String username)`
`String` | `getConfirm()`
`String` | `getFirstname()`
`String` | `getLastname()`
`String` | `getPassword()`
`List<String>` | `getRoles()`
`String` | `getUsername()`
`boolean` | `isEnabled()`
`String` | `save()`
`void` | `setConfirm(String confirm)`
`void` | `setEnabled(boolean enabled)`
`void` | `setFirstname(String firstname)`
`void` | `setLastname(String lastname)`
`void` | `setPassword(String password)`
`void` | `setRoles(List<String> roles)`
`void` | `setUsername(String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserAction

    public UserAction()

Method Detail

### createUser

    @Begin
    public void createUser()

### editUser

    @Begin
    public void editUser(String username)

### save

    public String save()

### getFirstname

    public String getFirstname()

### setFirstname

    public void setFirstname(String firstname)

### getLastname

    public String getLastname()

### setLastname

    public void setLastname(String lastname)

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getConfirm

    public String getConfirm()

### setConfirm

    public void setConfirm(String confirm)

### getRoles

    public List<String> getRoles()

### setRoles

    public void setRoles(List<String> roles)

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.